/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.supinfo.spitfireboard.servlets;

import com.supinfo.spitfireboard.entities.Post;
import com.supinfo.spitfireboard.entities.User;
import com.supinfo.spitfireboard.services.UserService;
import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

/**
 *
 * @author Fabien LOISON
 */
@ManagedBean
@RequestScoped
public class ProfileController {
    
    @EJB
    private UserService userService;

    /**
     * Creates a new instance of ProfileController
     */
    public ProfileController() {
    }
    
    private Long getUserId() {
        FacesContext facesContext = FacesContext.getCurrentInstance();
        String idStr = (String) facesContext.getExternalContext().getRequestParameterMap().get("id");
        if (idStr == null) {
            return null;
        }
        return Long.valueOf(idStr);
    }
    
    public User getUser() {
        return userService.getUser(this.getUserId());
    }
    
    public List<Post> getLatestPosts() {
        return userService.getUserLatestPost(this.getUserId());
    }
    
}
